'Compileroption "-s gui"
#include "sGUI\sGUI.bas"
#include once "sGUI\SimpleGadget.bas"
#include once "sGUI\StringGadget.bas"

screen 18,32,,&H04
InitGFX

dim as EventHandle ptr event
event=CreateEventHandle

dim as Gadget ptr textedit
textedit=AddStringGadget(event,10,50,10,"t")

GadgetOn (textedit)

TO_SetLineContent(textedit,1,"rthh6")
UpdateGadget(textedit)'bei Veränderung "von außen" muß immer(!) eine Aktualisierung vorgenommen werden,
                                'leider gehts nicht anders!!!

do
  event->xSleep(1)
loop until event->EXITEVENT
TO_SaveText(textedit,"editierterText.txt")

DestroyEventHandle (event)
end
/'
'Ctrl(0)
'Ctrl(1) Schalter "Zeige Stringende"
function AddStringGadget(event as EventHandle ptr,x as integer,y as integer,c as integer,txt as string="",cl as integer=0,sse as integer=0) as Gadget ptr
event   ein Zeiger zu einem EventHandle
x       Position in px
y       Position in px
c       Breite der Box in Zeichen(8px pro Zeichen)
txt     optional, voreingestellter Text in der Box
cl      optional, voreingestellt ist 0  Zeichenbegrenzung: 0=String,1=integer,2=Fließkomma,3=binär,4=hexadezimal,5=IP
sse     optional, voreingestellt in 0 wenn 1="springe immer zu StringEnde"


function TO_SetText (gad as _Gadget ptr,s as string,linebreak as string=chr(13,10)) as integer
läd einen Text in ein TextObjekt aus einem String
gad         Zeiger auf ein Control
s           String
linebreak   optional, falls String einen anderen oder selbst definierten Zeilenumbruch hat, hier angeben



sub UpdateGadget(gad as _Gadget ptr)
nach Manipultionen des TextObjektes von "aussen" durch TO_Befehle muß immer ein Update erfolgen
gad         Zeiger auf ein Control



weitere Manipulationen mit GadgetOn,GadgetOff,GadgetSleep bzw alle TO_-Befehle/Funktionen

'/

